# class Matrix3D

#### package openfl.geom

Available on all platforms

### Constructor

###

`new (?v:Vector<Float>)`

### Variables

###

`read onlywrite onlydeterminant:Float`

###

`read onlywrite onlyposition:Vector3D`

###

`rawData:Vector<Float>`

### Methods

###

`append (lhs:Matrix3D):Void`

###

`appendRotation (degrees:Float, axis:Vector3D, ?pivotPoint:Vector3D):Void`

###

`appendScale (xScale:Float, yScale:Float, zScale:Float):Void`

###

`appendTranslation (x:Float, y:Float, z:Float):Void`

###

`clone ():Matrix3D`

###

`copyColumnFrom (column:Int, vector3D:Vector3D):Void`

###

`copyColumnTo (column:Int, vector3D:Vector3D):Void`

###

`copyFrom (other:Matrix3D):Void`

###

`copyRawDataFrom (vector:Vector<Float>, index:UInt = 0, transpose:Bool = false):Void`

###

`copyRawDataTo (vector:Vector<Float>, index:UInt = 0, transpose:Bool = false):Void`

###

`copyRowFrom (row:UInt, vector3D:Vector3D):Void`

###

`copyRowTo (row:Int, vector3D:Vector3D):Void`

###

`copyToMatrix3D (other:Matrix3D):Void`

###

`decompose (?orientationStyle:Orientation3D):Vector<Vector3D>`

###

`deltaTransformVector (v:Vector3D):Vector3D`

###

`identity ():Void`

###

`interpolateTo (toMat:Matrix3D, percent:Float):Void`

###

`invert ():Bool`

###

`pointAt (pos:Vector3D, ?at:Vector3D, ?up:Vector3D):Void`

###

`prepend (rhs:Matrix3D):Void`

###

`prependRotation (degrees:Float, axis:Vector3D, ?pivotPoint:Vector3D):Void`

###

`prependScale (xScale:Float, yScale:Float, zScale:Float):Void`

###

`prependTranslation (x:Float, y:Float, z:Float):Void`

###

`recompose (components:Vector<Vector3D>, ?orientationStyle:Orientation3D):Bool`

###

`transformVector (v:Vector3D):Vector3D`

###

`transformVectors (vin:Vector<Float>, vout:Vector<Float>):Void`

###

`transpose ():Void`

### Static methods

###

`staticinterpolate (thisMat:Matrix3D, toMat:Matrix3D, percent:Float):Matrix3D`